Subject: bug#64230: 30.0.50; Ibuffer reports 1 file too many with ibuffer-auto-mode enabled

From: Stephen Berman <[email-masked]>
Date: Wed, 13 Sep 2023 23:49:57 +0200

On Wed, 13 Sep 2023 13:58:03 -0700 Stefan Kangas <[email-masked]> wrote:

> Stephen Berman <[email-masked]> writes:
>
>> Should I install both patches?  I've tested all combinations of deleting
>> just one or more than buffer with ibuffer-auto-mode disabled and enabled
>> and ibuffer-expert nil and non-nil, but perhaps I've again overlooked
>> something, so I'll wait for a go-ahead.
>
> Thanks, please install.  Your reasoning and patches make sense to me,
> though I only gave them the most cursory testing.
>
>> Also, since the second patch is strictly unrelated to the original bug
>> report, a new bug report for it might be preferred.
>
> I don't have any preference.  Perhaps it's fine to keep it in the same
> report since the issue was discovered here.

Thanks, I went ahead and pushed both patches (after fixing a small typo
in the comment to read "`ibuffer-expert' nil") as commit 9d9570bfbf5.

Steve Berman